## mobilemesh-1.0+dfsg0.tar.bz2

=== Makefile ===
# Edited for Debian GNU/Linux.
DESTDIR =

all:		mmrp mmdiscover mmborder mmtodot 

include		depends.mk

.SUFFIXES:	.C .o .c

BACKUP =	*.[Ch] Makefile

CXX = g++

CXXFLAGS +=	-g
CXXFLAGS +=	-Wall
CXXFLAGS +=	-I. -Iinclude-fixes
#CXXFLAGS +=	-O2
CXXFLAGS +=   -D_GNU_SOURCE

# LDFLAGS  +=	-static -lpcap

define doit
	$(RM) $@
	$(CXX) $(CXXFLAGS) -o $@ $^ $(LDFLAGS)
     endef


# Dependencies
.PHONY:		depends
depends:	*.[Ch]
		$(CXX) -M $(CXXFLAGS) *.C > depends.mk

# Lose all unimportant cruft...
.PHONY:		clean
clean:
		$(RM) *.o *~ man/*~ \#*\# mmrp mmdiscover mmborder mmtodot
		echo " " > depends.mk

# Make a backup tar file of current stuff...
.PHONY:		backup
backup:		$(BACKUP)
		@dir=`pwd` ; dir=`basename $$dir` ;     \
		file=`date +%y%m%d.%H%M`.tgz ;          \
		file="$$dir-$$file";                    \
		echo Making backup $$file ;             \
		tar -cvzphf ./$$file $^;		\
		if [ -d backup ];  then                 \
			mv $$file backup;               \
			echo Moved to backup directory; \
		fi;

srcdir  = .
distdir = mobilemesh-1.0

SCRIPTS = mmrpviz mmtunnel 
MANFILES = man/*.8
DISTFILES = *.[hC] Makefile man *.debug *.conf README INSTALL LICENSE FAQ depends.mk $(SCRIPTS) include-fixes InternetDrafts

ETCDIR  = $(DESTDIR)/etc/mobilemesh
RUNDIR  = $(DESTDIR)/var/run/mobilemesh
BINDIR  = $(DESTDIR)/usr/bin
MANDIR  = $(DESTDIR)/usr/man/man8

PROGS = mmdiscover mmrp mmborder mmtodot $(SCRIPTS)

.PHONY:	install
install:
	install -d $(ETCDIR) 
	install -d $(RUNDIR) 
	install -m 644 *.conf *.debug $(ETCDIR)
	install -m 550 $(PROGS) $(BINDIR)

.PHONY:	install-man
install-man:
	install -m 644 $(MANFILES) $(MANDIR) 

# Make a distribution
dist: clean distdir
	-chmod -R a+r $(distdir)
	tar chzf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
distdir: $(DISTFILES)
	-rm -rf $(distdir)
	mkdir $(distdir)
	-chmod 777 $(distdir)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done

# Make pdfs of man pages
PDFS := $(addsuffix .pdf, $(basename $(wildcard $(MANFILES) ) ) )

pdf:	$(PDFS)

%.ps: %.8
	groff -mandoc $< > $@


%.pdf: %.ps
	gs -dNOPAUSE -sDEVICE=pdfwrite -sOutputFile=$@ $< quit.ps


# Make Internet Drafts from nroff source
IDS := $(addsuffix .txt, $(basename $(wildcard id/*.nroff ) ) )

id:   $(IDS)

%.txt: %.nroff
	  nroff -ms  $< | sed -f ./id/fix2.sh | ./id/pg -n5 > $@


# The executables 
mmrp:   	MmMain.o UtReport.o UtString.o UtDebug.o
		$(doit)

mmdiscover:   	LnMain.o UtReport.o UtString.o UtDebug.o
		$(doit)

mmborder:   	BoMain.o UtReport.o UtString.o UtDebug.o
		$(doit)

mmtodot:   	ToMain.o UtReport.o UtString.o UtDebug.o
		$(doit)

dbChild:   	dbChild.o UtReport.o UtString.o UtDebug.o
		$(doit)

dbEtherTap:   	dbEtherTap.o UtReport.o UtString.o UtDebug.o
		$(doit)

dbUnix:   	dbUnix.o UtReport.o UtString.o
		$(doit)


# Debug files tailored to each executable
.PHONY: flags
flags: mmborder-flags mmrp-flags mmdiscover-flags mmtodot-flags

.PHONY: mmborder-flags
mmborder-flags:   Bo*.[hC]
		perl UtDebug.pl Bo*.[hC] > mmborder.debug

.PHONY: mmrp-flags
mmrp-flags:     Mm*[hC]
		perl UtDebug.pl Mm*.[hC] > mmrp.debug

.PHONY: mmdiscover-flags
mmdiscover-flags: Ln*[hC]
		perl UtDebug.pl Ln*.[hC] > mmdiscover.debug

.PHONY: mmtodot-flags
mmtodot-flags: Ln*[hC]
		perl UtDebug.pl To*.[hC] > mmtodot.debug

=== debian/changelog ===
mobilemesh (1.0+dfsg0-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * Removed RFC's from package (closes: #390657)

 -- Bas Zoetekouw <bas@debian.org>  Sat, 14 Oct 2006 13:44:00 +0200

mobilemesh (1.0-6.1) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * Remove extra qualification from C++ header file. Closes: #356004)

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 25 May 2006 18:19:50 +0200

mobilemesh (1.0-6) unstable; urgency=low

  * Rebuild for C++ ABI

 -- Mark Purcell <msp@debian.org>  Sat, 30 Jul 2005 14:56:41 +0100

mobilemesh (1.0-5) unstable; urgency=low

  * Rebuild for g++-3.2 transition. Thanks Matt Kraai (Closes: Bug#194991)
  * Update upstream URL. debian/copyright, debian/control

 -- Mark Purcell <msp@debian.org>  Thu,  6 Nov 2003 23:15:09 +1100

mobilemesh (1.0-4) unstable; urgency=low

  * Patch to allow compilation with all versions of g++, Thanks Julien
    LEMOINE (Closes: Bug#165186)

 -- Mark Purcell <msp@debian.org>  Mon, 30 Dec 2002 07:01:52 +1100

mobilemesh (1.0-3) unstable; urgency=low

  * Fixup size_t 64 bit issue. Thanks Gerhard Tonn. (Closes: Bug#172223)

 -- Mark Purcell <msp@debian.org>  Mon,  9 Dec 2002 19:41:46 +1100

mobilemesh (1.0-2) unstable; urgency=low

  * Suggests: graphviz (Closes: Bug#164874)

 -- Mark Purcell <msp@debian.org>  Thu, 17 Oct 2002 21:06:34 +1000

mobilemesh (1.0-1) unstable; urgency=low

  * Initial Release. (Closes: Bug#164409)

 -- Mark Purcell <msp@debian.org>  Thu, 17 Oct 2002 21:06:20 +1000

=== debian/control ===
Source: mobilemesh
Section: net
Priority: optional
Maintainer: Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: mobilemesh
Architecture: any
Depends: ${shlibs:Depends}, iproute
Suggests: graphviz
Description: Mobile adhoc networking
 MobileMesh networking allows users to exchange information in a
 wireless environment without the need for a fixed infrastructure.
 Each user (or node), equipped with one or more radios, is free to
 roam about while communicating with others. The path between any
 pair of users can traverse multiple wireless links and the radios
 themselves can be heterogeneous, thus enabling an assortment of
 different types of links to be part of the same adhoc network. 
 .
 The mobility of the nodes results in a network whose topology is
 dynamic.  The job of the network is to discover the links between
 the mobile nodes and to build paths so that any user can communicate
 with any other user, as long as each has a link to the adhoc network.
 Within the adhoc network, each node acts as a router and forwards
 packets on behalf of others. 
 .
 Website: http://www.mitre.org/work/tech_transfer/mobilemesh/

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/mobilemesh.sgml > mobilemesh.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/mobilemesh.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/mobilemesh


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs man/*.pdf 
	dh_installexamples *.conf *.debug
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman man/*.8
	dh_installinfo
	dh_undocumented mmtunnel.8
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
